package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.ElecPriceStrategyHour;

import java.util.List;

/**
 * 电价策略小时Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-23
 */
public interface ElecPriceStrategyHourMapper {
    /**
     * 查询电价策略小时
     *
     * @param id 电价策略小时主键
     * @return 电价策略小时
     */
    ElecPriceStrategyHour selectById(Long id);

    /**
     * 查询电价策略小时列表
     *
     * @param elecPriceStrategyHour 电价策略小时
     * @return 电价策略小时集合
     */
    List<ElecPriceStrategyHour> selectList(ElecPriceStrategyHour elecPriceStrategyHour);

    /**
     * 查询电价策略小时列表
     *
     * @param strategyCode 策略代码
     * @return 电价策略小时集合
     */
    List<ElecPriceStrategyHour> selectByStrategyCode(String strategyCode);

    /**
     * 新增电价策略小时
     *
     * @param elecPriceStrategyHour 电价策略小时
     * @return 结果
     */
    int insert(ElecPriceStrategyHour elecPriceStrategyHour);

    /**
     * 批量-新增电价策略小时
     *
     * @param list 电价策略小时
     * @return 结果
     */
    int insertBatch(List<ElecPriceStrategyHour> list);

    /**
     * 修改电价策略小时
     *
     * @param elecPriceStrategyHour 电价策略小时
     * @return 结果
     */
    int update(ElecPriceStrategyHour elecPriceStrategyHour);

    /**
     * 删除电价策略小时
     *
     * @param id 电价策略小时主键
     * @return 结果
     */
    int deleteById(Long id);

    /**
     * 删除电价策略小时
     *
     * @param strategyCode 电价策略code
     * @return 结果
     */
    int deleteByStrategyCode(String strategyCode);

    /**
     * 批量删除电价策略小时
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteByIds(Long[] ids);
}
